<?php
/**
 * Shortcodes
 *
 * @package framework
 * @since framework 1.0
 */

require_once get_template_directory().'/inc/shortcodes/accordion.php';
require_once get_template_directory().'/inc/shortcodes/button.php';
require_once get_template_directory().'/inc/shortcodes/columns.php';
require_once get_template_directory().'/inc/shortcodes/call_to_action.php';
require_once get_template_directory().'/inc/shortcodes/call_to_action_2.php';
require_once get_template_directory().'/inc/shortcodes/divider.php';
require_once get_template_directory().'/inc/shortcodes/dropcaps.php';
require_once get_template_directory().'/inc/shortcodes/embed_media.php';
require_once get_template_directory().'/inc/shortcodes/flexslider.php';
require_once get_template_directory().'/inc/shortcodes/headers.php';
require_once get_template_directory().'/inc/shortcodes/highlight.php';
require_once get_template_directory().'/inc/shortcodes/icons.php';
require_once get_template_directory().'/inc/shortcodes/icon.php';
require_once get_template_directory().'/inc/shortcodes/image.php';
require_once get_template_directory().'/inc/shortcodes/images_slider.php';
require_once get_template_directory().'/inc/shortcodes/intro.php';
require_once get_template_directory().'/inc/shortcodes/latest_posts.php';
require_once get_template_directory().'/inc/shortcodes/latest_works.php';
require_once get_template_directory().'/inc/shortcodes/list.php';
require_once get_template_directory().'/inc/shortcodes/message.php';
require_once get_template_directory().'/inc/shortcodes/our_clients.php';
require_once get_template_directory().'/inc/shortcodes/person.php';
require_once get_template_directory().'/inc/shortcodes/person_details.php';
require_once get_template_directory().'/inc/shortcodes/posts_slider.php';
require_once get_template_directory().'/inc/shortcodes/price_list.php';
require_once get_template_directory().'/inc/shortcodes/pricing_table.php';
require_once get_template_directory().'/inc/shortcodes/promo.php';
require_once get_template_directory().'/inc/shortcodes/recent_posts.php';
require_once get_template_directory().'/inc/shortcodes/recent_projects.php';
require_once get_template_directory().'/inc/shortcodes/quotes.php';
require_once get_template_directory().'/inc/shortcodes/s.php';
require_once get_template_directory().'/inc/shortcodes/skillbar.php';
require_once get_template_directory().'/inc/shortcodes/space.php';
require_once get_template_directory().'/inc/shortcodes/steps.php';
require_once get_template_directory().'/inc/shortcodes/tabs.php';
require_once get_template_directory().'/inc/shortcodes/teaser.php';
require_once get_template_directory().'/inc/shortcodes/teaser_2.php';
require_once get_template_directory().'/inc/shortcodes/testimonials.php';
require_once get_template_directory().'/inc/shortcodes/text.php';


/* PLEASE ADD every new shortcode to the get_shortcodes_help function below (all except columns shortcodes which are includes in inc/tinymce.js.php */

/**
 * Get shortcodes list
 *
 */
function ts_get_shortcodes_list()
{
	$aHelp = array(
		/*
		array(
			'shortcode' => '',
			'name' => 'Title',
			'description' => Description,  can be an array,
			'usage' => 'Example usage, can be an array',
		),
		*/
		array(
			'shortcode' => 'accordion',
			'name' => __('Accordion','framework'),
			'description' => '',
			'usage' => '[accordion style="normal" open="yes"][accordion_toggle title="title 1"]Your content goes here...[/accordion_toggle][/accordion]',
			'code' => '[accordion style="{style}" open="{open}"]{child}[/accordion]',
			'fields' => array(
				'style' => array(
					'type' => 'select',
					'label' => __('Style', 'framework'),
					'desc' => '',
					'values' => array(
						'boxed' => __('boxed', 'framework'),
						'normal' => __('normal', 'framework')
					)
				),
				'open' => array(
					'type' => 'select',
					'label' => __('Open first', 'framework'),
					'desc' => '',
					'values' => array(
						'yes' => __('yes', 'framework'),
						'no' => __('no', 'framework')
					)
				)
			),
			'add_child_button' => __('Add Item', 'framework'),
			'child' => array(
				'fields' => array(
					'title' => array(
						'type' => 'text',
						'label' => __('Title', 'framework'),
						'desc' => ''
					),
					'content' => array(
						'type' => 'textarea',
						'label' => __('Content', 'framework'),
						'desc' => ''
					),
				),
				'name' => __('Accordion item','framework'),
				'code' => '[accordion_toggle title="{title}"]{content}[/accordion_toggle]',
			)
		),
		array(
			'shortcode' => 'button',
			'name' => __('Button','framework'),
			'description' => array(
				__('color - text color','framework'),
				__('background - background color','framework'),
				__('size - small, regular, large - default: regular','framework'),
				__('target - _blank, _parent, _self, _top','framework'),
			),
			'usage' => '[button color="#555555" style="1" size="small" url="http://yourdomain.com" target="_blank" ]Your content here...[/button]',
			'code' => '[button color="{color}" style="{style}" size="{size}" target="{target}" url="{url}"]{content}[/button]',
			'fields' => array(
				'style' => array(
					'type' => 'select',
					'label' => __('Style', 'framework'),
					'values' => array(
						'1' => __('1', 'framework'),
						'2' => __('2', 'framework')
					),
					'default' => '1',
					'desc' => ''
				),
				'color' => array(
					'type' => 'colorpicker',
					'label' => __('Text color', 'framework'),
					'desc' => ''
				),
				'size' => array(
					'type' => 'select',
					'label' => __('Size', 'framework'),
					'values' => array(
						'small' => __('small', 'framework'),
						'regular' => __('regular', 'framework'),
						'large' => __('large', 'framework')
					),
					'default' => 'regular',
					'desc' => ''
				),
				'url' => array(
					'type' => 'text',
					'label' => __('URL', 'framework'),
					'desc' => ''
				),
				'target' => array(
					'type' => 'select',
					'label' => __('Target', 'framework'),
					'values' => array(
						'_blank' => __('_blank', 'framework'),
						'_parent' => __('_parent', 'framework'),
						'_self' => __('_self', 'framework'),
						'_top' => __('_top', 'framework')
					),
					'default' => '_self',
					'desc' => ''
				),
				'content' => array(
					'type' => 'text',
					'label' => __('Button text', 'framework'),
					'desc' => ''
				),
			)
		),
		array(
			'shortcode' => 'call_to_action',
			'name' => __('Call To Action','framework'),
			'description' => array(
				__('color - gray, black, red, orange, blue, green','framework'),
				__('size - small, regular, large','framework'),
				__('target - _blank, _parent, _self, _top','framework'),
				__('position - left, right, bottom','framework'),
			),
			'usage' => '[call_to_action button_text="test" text="test" color="gray" size="regular" url="" target="" position="bottom"]',
			'code' => '[call_to_action button_text="{buttontext}" text="{text}" color="{color}" size="{size}" url="{url}" target="{target}" position="{position}"]',
			'fields' => array(
				'buttontext' => array(
					'type' => 'text',
					'label' => __('Button label', 'framework'),
					'desc' => ''
				),
				'text' => array(
					'type' => 'text',
					'label' => __('Content', 'framework'),
					'desc' => ''
				),
				'color' => array(
					'type' => 'colorpicker',
					'label' => __('Button color', 'framework'),
					'desc' => ''
				),
				'size' => array(
					'type' => 'select',
					'label' => __('Button size', 'framework'),
					'values' => array(
						'small' => __('small', 'framework'),
						'regular' => __('regular', 'framework'),
						'large' => __('large', 'framework')
					),
					'default' => 'regular',
					'desc' => ''
				),
				'url' => array(
					'type' => 'text',
					'label' => __('URL', 'framework'),
					'desc' => ''
				),
				'target' => array(
					'type' => 'select',
					'label' => __('Target', 'framework'),
					'values' => array(
						'_blank' => __('_blank', 'framework'),
						'_parent' => __('_parent', 'framework'),
						'_self' => __('_self', 'framework'),
						'_top' => __('_top', 'framework')
					),
					'default' => '_self',
					'desc' => ''
				),
				'position' => array(
					'type' => 'select',
					'label' => __('Position', 'framework'),
					'values' => array(
						'left' => __('left', 'framework'),
						'right' => __('right', 'framework'),
						'bottom' => __('bottom', 'framework')
					),
					'default' => 'regular',
					'desc' => ''
				)
			)
		),
		array(
			'shortcode' => 'call_to_action_2',
			'name' => __('Call To Action 2','framework'),
			'description' => '',
			'usage' => '[call_to_action_2 style="1" header="Header text" content="Content text" buttontext="Button label"  background="#FF0000" background_hover="#FFFF00" url="http://url.." target="_self"]',
			'code' => '[call_to_action_2 style="{style}" header="{header}" content="{content}" buttontext="{buttontext}" background="{background}" background_hover="{backgroundhover}" url="{url}" target="{target}"]',
			'fields' => array(
				'style' => array(
					'type' => 'select',
					'label' => __('Style', 'framework'),
					'values' => array(
						'1' => __('1', 'framework'),
						'2' => __('2', 'framework'),
						'3' => __('3 (wide with gradient background)', 'framework')
					),
					'default' => '1',
					'desc' => ''
				),
				'header' => array(
					'type' => 'text',
					'label' => __('Header', 'framework'),
					'desc' => ''
				),
				'content' => array(
					'type' => 'text',
					'label' => __('Content', 'framework'),
					'desc' => ''
				),
				'buttontext' => array(
					'type' => 'text',
					'label' => __('Button label', 'framework'),
					'desc' => ''
				),
				'background' => array(
					'type' => 'colorpicker',
					'label' => __('Button background color', 'framework'),
					'desc' => ''
				),
				'backgroundhover' => array(
					'type' => 'colorpicker',
					'label' => __('Button hover background color', 'framework'),
					'desc' => ''
				),
				'url' => array(
					'type' => 'text',
					'label' => __('URL', 'framework'),
					'desc' => ''
				),
				'target' => array(
					'type' => 'select',
					'label' => __('Target', 'framework'),
					'values' => array(
						'_blank' => __('_blank', 'framework'),
						'_parent' => __('_parent', 'framework'),
						'_self' => __('_self', 'framework'),
						'_top' => __('_top', 'framework')
					),
					'default' => '_self',
					'desc' => ''
				)
			)
		),
		array(
			'shortcode' => 'dropcaps',
			'name' => __('Dropcaps','framework'),
			'description' => array(
				__('type - circle - optional','framework')
			),
			'usage' => '[dropcaps type="circle" color="#C4C4C4" background="#A4A4A4"]Your text here...[/dropcaps]',
			'code' => '[dropcaps type="{type}" color="{color}" background="{background}"]{content}[/dropcaps]',
			'fields' => array(
				'type' => array(
					'type' => 'select',
					'label' => __('Type', 'framework'),
					'values' => array(
						'circle' => __('circle', 'framework'),
						'standard' => __('standard', 'framework')
					),
					'default' => 'circle',
					'desc' => ''
				),
				'color' => array(
					'type' => 'colorpicker',
					'label' => __('Color', 'framework'),
					'desc' => ''
				),
				'background' => array(
					'type' => 'colorpicker',
					'label' => __('Background color', 'framework'),
					'desc' => ''
				),
				'content' => array(
					'type' => 'textarea',
					'label' => __('Content', 'framework'),
					'desc' => ''
				)
			)
		),
		array(
			'shortcode' => 'divider',
			'name' => __('Divider','framework'),
			'description' => array(
				__('align - left, right, center','framework'),
				__('size - smaller, normal, larger','framework'),
				__('scrolltext - optional','framework')
			),
			'usage' => '[divider style="1" align="left" size="normal" scrolltext="Scroll to top"]Your text here...[/divider]',
			'code' => '[divider style="{style}" align="{align}" size="{size}" scrolltext="{scrolltext}"]{content}[/divider]',
			'fields' => array(
				'style' => array(
					'type' => 'select',
					'label' => __('Style', 'framework'),
					'values' => array(
						'1' => '1',
						'2' => '2'
					),
					'default' => '1',
					'desc' => ''
				),
				'align' => array(
					'type' => 'select',
					'label' => __('Text align', 'framework'),
					'values' => array(
						'center' => __('center','framework'),
						'left' => __('left','framework'),
						'right' => __('right','framework')
					),
					'desc' => ''
				),
				'size' => array(
					'type' => 'select',
					'label' => __('Size', 'framework'),
					'values' => array(
						'normal' => __('normal','framework'),
						'smaller' => __('smaller','framework'),
						'larger' => __('larger','framework')
					),
					'desc' => ''
				),
				'content' => array(
					'type' => 'text',
					'label' => __('Content', 'framework'),
					'desc' => ''
				),
				'scrolltext' => array(
					'type' => 'text',
					'label' => __('Scroll to top text', 'framework'),
					'desc' => __('Leave empty to disable scrolling', 'framework'),
				)
			)

		),
		array(
			'shortcode' => 'heading',
			'name' => __('Heading','framework'),
			'description' => '',
			'usage' => '[heading type="1"]Your text here...[/heading]',
			'code' => '[heading type={type}]{content}[/heading]',
			'fields' => array(
				'type' => array(
					'type' => 'select',
					'label' => __('Type', 'framework'),
					'values' => array(
						'1' => 'H1',
						'2' => 'H2',
						'3' => 'H3',
						'4' => 'H4',
						'5' => 'H5'
					),
					'default' => '1',
					'desc' => ''
				),
				'content' => array(
					'type' => 'text',
					'label' => __('Content', 'framework'),
					'desc' => ''
				)
			)
		),
		array(
			'shortcode' => 'highlight',
			'name' => __('Highlight','framework'),
			'description' => array(
				__('color - background color','framework'),
				__('fullwidth - yes, no - from edge to edge of the screen','framework')
			),
			'usage' => '[highlight color="#ebebeb" fullwidth="yes"]Your text here...[/highlight]',
			'code' => '[highlight color="{color}" fullwidth="{fullwidth}"]{content}[/highlight]',
			'fields' => array(
				'color' => array(
					'type' => 'colorpicker',
					'label' => __('Color', 'framework'),
					'desc' => ''
				),
				'fullwidth' => array(
					'type' => 'select',
					'label' => __('Full width', 'framework'),
					'values' => array(
						'yes' => __('yes', 'framework'),
						'no' => __('no', 'framework')
					),
					'default' => 'yes',
					'desc' => ''
				),
				'content' => array(
					'type' => 'textarea',
					'label' => __('Content', 'framework'),
					'desc' => ''
				)
			)
		),
		array(
			'shortcode' => 'icon',
			'name' => __('Icon','framework'),
			'description' => '',
			'usage' => '[icon icon="img-1" animation="showup" title="Your title" content="Your content here..."]',
			'code' => '[icon icon="{icon}" url="{url}" target="{target}" animation="{animation}" size="{size}" title="{title}" content="{content}"]',
			'fields' => array(
				'icon' => array(
					'type' => 'select',
					'label' => __('Icon', 'framework'),
					'values' => array(
						'img-1' => __('Dialog', 'framework'),
						'img-2' => __('Scalability', 'framework'),
						'img-3' => __('Globe', 'framework'),
						'img-4' => __('Test', 'framework'),
						'img-5' => __('Docs', 'framework'),
						'img-6' => __('Paint', 'framework'),
						'img-7' => __('Exchange', 'framework'),
						'img-8' => __('Equalizer', 'framework'),
						'footprint' => __('Footprint', 'framework'),
						'setting' => __('Setting', 'framework'),
					),
					'default' => '',
					'desc' => ''
				),
				'animation' => array(
					'type' => 'select',
					'label' => __('Animation', 'framework'),
					'values' => array(
						'none' => __('none','framework'),
						'showup' => __('show up','framework')
					),
					'default' => '',
					'desc' => ''
				),
				'url' => array(
					'type' => 'text',
					'label' => __('Url', 'framework'),
					'desc' => ''
				),
				'target' => array(
					'type' => 'select',
					'label' => __('Target', 'framework'),
					'values' => array(
						'_blank' => __('_blank', 'framework'),
						'_parent' => __('_parent', 'framework'),
						'_self' => __('_self', 'framework'),
						'_top' => __('_top', 'framework')
					),
					'default' => '_self',
					'desc' => ''
				),
				'title' => array(
					'type' => 'text',
					'label' => __('Title', 'framework'),
					'desc' => ''
				),
				'content' => array(
					'type' => 'wp_editor',
					'label' => __('Content', 'framework'),
					'desc' => ''
				)
			)
		),
		array(
			'shortcode' => 'icons',
			'name' => __('Icons','framework'),
			'description' => '',
			'usage' => '[icons animation="showup"][icon type="icon-music" url="http://..." title="Your title..."]Your content...[/icon][/icons]',
			'code' => '[icons animation="{animation}"]{child}[/icons]',
			'fields' => array(
				'animation' => array(
					'type' => 'select',
					'label' => __('Animation', 'framework'),
					'values' => array(
						'none' => __('none','framework'),
						'showup' => __('show up','framework')
					),
					'default' => '',
					'desc' => ''
				)
			),
			'add_child_button' => __('Add Icon', 'framework'),
			'child' => array(
				'name' => __('Icon','framework'),
				'code' => '[icon_item type="{type}" url="{url}" target="{target}" title="{title}"]{content}[/icon_item]',
				'fields' => array(
					'type' => array(
						'type' => 'select',
						'label' => __('Type', 'framework'),
						'values' => ts_getFontAwesomeArray(true,
							array(
								'img-1' => __('Box', 'framework'),
								'img-2' => __('Dynamic', 'framework'),
								'img-3' => __('Support', 'framework'),
								'champion' => __('Champion', 'framework'),
								'function' => __('Function', 'framework'),
								'leaf' => __('Leaf', 'framework'),
								'light' => __('Light', 'framework'),
								'settings' => __('Settings', 'framework'),
								'show' => __('Show', 'framework'),
								'time' => __('Time', 'framework')
							)
						),
						'default' => '',
						'desc' => ''
					),
					'url' => array(
						'type' => 'text',
						'label' => __('Url', 'framework'),
						'desc' => ''
					),
					'target' => array(
						'type' => 'select',
						'label' => __('Target', 'framework'),
						'values' => array(
							'_blank' => __('_blank', 'framework'),
							'_parent' => __('_parent', 'framework'),
							'_self' => __('_self', 'framework'),
							'_top' => __('_top', 'framework')
						),
						'default' => '_self',
						'desc' => ''
					),
					'title' => array(
						'type' => 'text',
						'label' => __('Title', 'framework'),
						'desc' => ''
					),
					'content' => array(
						'type' => 'textarea',
						'label' => __('Content', 'framework'),
						'desc' => ''
					),
				)
			)
		),
		array(
			'shortcode' => 'image',
			'name' => __('Image','framework'),
			'description' => '',
			'usage' => '[image animaton="scale" size="half" align="alignleft"]image.png[/image]',
			'code' => '[image animation="{animation}" size="{size}" align="{align}"]{image}[/image]',
			'fields' => array(
				'image' => array(
					'type' => 'upload',
					'label' => __('Image', 'framework'),
					'desc' => ''
				),
				'animation' => array(
					'type' => 'select',
					'label' => __('Animation', 'framework'),
					'values' => array(
						'left-to-right' => __('left-to-right', 'framework'),
						'right-to-left' => __('right-to-left', 'framework'),
						'bottom-to-top' => __('bottom-to-top', 'framework'),
						'scale' => __('scaless', 'framework')
					),
					'default' => 'left-to-right',
					'desc' => ''
				),
				'size' => array(
					'type' => 'select',
					'label' => __('Image width', 'framework'),
					'values' => array(
						'dont_scale' => __('dont scale', 'framework'),
						'full' => __('full', 'framework'),
						'half' => __('half', 'framework'),
						'one_third' => __('1/3', 'framework'),
						'one_fourth' => __('1/4', 'framework')
					),
					'default' => 'dont_scale',
					'desc' => ''
				),
				'align' => array(
					'type' => 'select',
					'label' => __('Align', 'framework'),
					'values' => array(
						'alignnone' => __('none', 'framework'),
						'alignleft' => __('left', 'framework'),
						'alignright' => __('right', 'framework'),
						'aligncenter' => __('center', 'framework')
					),
					'default' => 'dont_scale',
					'desc' => ''
				),
			)
		),
		array(
			'shortcode' => 'images_slider',
			'name' => __('Images Slider','framework'),
			'description' => array(
				__('url - optional','framework'),
				__('target - _blank, _parent, _self, _top','framework')
			),
			'usage' => array(
				'[images_slider][image_item url="http://test.com" target="_blank"]image.png[/image_item][image_item url="http://test2.com"]image2.png[/image_item][/images_slider]'
			),
			'code' => '[images_slider]{child}[/images_slider]',
			'add_child_button' => __('Add Slider Item', 'framework'),
			'child' => array(
				'name' => __('Sliders item','framework'),
				'code' => '[image_item url="{url}" target="{target}"]{image}[/image_item]',
				'fields' => array(
					'url' => array(
						'type' => 'text',
						'label' => __('URL', 'framework'),
						'desc' => ''
					),
					'target' => array(
						'type' => 'select',
						'label' => __('Target', 'framework'),
						'values' => array(
							'_blank' => __('_blank', 'framework'),
							'_parent' => __('_parent', 'framework'),
							'_self' => __('_self', 'framework'),
							'_top' => __('_top', 'framework')
						),
						'default' => '_self',
						'desc' => ''
					),
					'image' => array(
						'type' => 'upload',
						'label' => __('Image', 'framework'),
						'desc' => ''
					),
				)
			)
		),
		array(
			'shortcode' => 'latest_posts',
			'name' => __('Latest posts','framework'),
			'description' => '',
			'usage' => '[latest_posts header="Latest posts" limit="12"]',
			'code' => '[latest_posts header="{header}" limit="{limit}"]',
			'fields' => array(
				'header' => array(
					'type' => 'text',
					'label' => __('Header', 'framework'),
					'desc' => ''
				),
				'limit' => array(
					'type' => 'text',
					'label' => __('Posts limit', 'framework'),
					'desc' => ''
				)
			)
		),
		array(
			'shortcode' => 'latest_works',
			'name' => __('Latest works','framework'),
			'description' => '',
			'usage' => '[latest_works header="Latest Works" limit=10]',
			'code' => '[latest_works header="{header}" description="{description}" limit="{limit}"]',
			'fields' => array(
				'header' => array(
					'type' => 'text',
					'label' => __('Header', 'framework'),
					'desc' => ''
				),
				'description' => array(
					'type' => 'text',
					'label' => __('Description', 'framework'),
					'desc' => ''
				),
				'limit' => array(
					'type' => 'text',
					'label' => __('Limit', 'framework'),
					'desc' => ''
				)
			)
		),
		array(
			'shortcode' => 'list',
			'name' => __('List','framework'),
			'description' => array(
				__('type - icon-ok, icon-check, icon-check-empty, icon-circle, icon-angle-right, icon-check-empty','framework')
			),
			'usage' => '[list type="icon-check-empty"]Your UL list here...[/list]',
			'code' => '[list type="{type}"]<ul>{child}</ul>[/list]',
			'fields' => array(
				'type' => array(
					'type' => 'select',
					'label' => __('Style', 'framework'),
					'values' => array(
						'icon-arrow' => 'icon-arrow',
						'icon-circle' => 'icon-circle',
						'icon-check' => 'icon-check',
						'icon-star' => 'icon-star',
						'icon-plus' => 'icon-plus',
						'icon-dash' => 'icon-dash'
					),
					'desc' => ''
				),
			),
			'add_child_button' => __('Add List Item', 'framework'),
			'child' => array(
				'name' => __('List item','framework'),
				'code' => '<li>{content}</li>',
				'fields' => array(
					'content' => array(
						'type' => 'text',
						'label' => __('Content', 'framework'),
						'desc' => ''
					),
				),
			)
		),
		array(
			'shortcode' => 'message',
			'name' => __('Message','framework'),
			'description' => __('type - info, alert, success, error','framework'),
			'usage' => '[message type="info"]Your content here...[/message]',
			'code' => '[message type="{type}"]{content}[/message]',
			'fields' => array(
				'type' => array(
					'type' => 'select',
					'label' => __('Type', 'framework'),
					'values' => array(
						'info' => __('info','framework'),
						'alert' => __('alert','framework'),
						'success' => __('success','framework'),
						'error' => __('error','framework')
					),
					'desc' => ''
				),
				'content' => array(
					'type' => 'text',
					'label' => __('Content', 'framework'),
					'desc' => ''
				)
			)
		),
		array(
			'shortcode' => 'our_clients',
			'name' => __('Our clients','framework'),
			'description' => '',
			'usage' => array(
				'[our_clients header="Your header..."][our_clients_item url="http://test.com" target="_blank"]image.png[/our_clients_item][/our_clients]'
			),
			'code' => '[our_clients header="{header}"]{child}[/our_clients]',
			'fields' => array(
				'header' => array(
					'type' => 'text',
					'label' => __('Header', 'framework'),
					'desc' => ''
				)
			),
			'add_child_button' => __('Add Item', 'framework'),
			'child' => array(
				'name' => __('Items','framework'),
				'code' => '[our_clients_item url="{url}" target="{target}"]{image}[/our_clients_item]',
				'fields' => array(
					'url' => array(
						'type' => 'text',
						'label' => __('URL', 'framework'),
						'desc' => ''
					),
					'target' => array(
						'type' => 'select',
						'label' => __('Target', 'framework'),
						'values' => array(
							'_blank' => __('_blank', 'framework'),
							'_parent' => __('_parent', 'framework'),
							'_self' => __('_self', 'framework'),
							'_top' => __('_top', 'framework')
						),
						'default' => '_self',
						'desc' => ''
					),
					'image' => array(
						'type' => 'upload',
						'label' => __('Image', 'framework'),
						'desc' => ''
					),
				)
			)
		),
		array(
			'shortcode' => 'person',
			'name' => __('Person','framework'),
			'description' => '',
			'usage' => '[persons id=1]',
			'code' => '[person id="{id}"]',
			'fields' => array(
				'id' => array(
					'type' => 'text',
					'label' => __('Person ID', 'framework'),
					'desc' => ''
				)
			)
		),
		array(
			'shortcode' => 'person_details',
			'name' => __('Person details','framework'),
			'description' => '',
			'usage' => '[person_details id=1 header="Personal details"]',
			'code' => '[person_details id="{id}" header="{header}"]',
			'fields' => array(
				'id' => array(
					'type' => 'text',
					'label' => __('Person ID', 'framework'),
					'desc' => ''
				),
				'header' => array(
					'type' => 'text',
					'label' => __('Header', 'framework'),
					'desc' => ''
				)
			)
		),
		array(
			'shortcode' => 'posts_slider',
			'name' => __('Posts slider','framework'),
			'description' => array(
				__('id - included posts (optional)','framework'),
				__('post_type - post type to show (default: post)','framework'),
				__('category - list of categories to show or to exclude (optional)','framework'),
				__('orderby - sort retrieved posts by parameter (default: date)','framework'),
				__('order - designates the ascending or descending order (default: DESC)','framework'),
				__('description - no, excerpt - show or hide description (default: excerpt)','framework'),
			),
			'usage' => '[posts_slider id="2,4,3" post_type="post/page" category="1,-2,-3" limit="4" orderby="date" order="desc" description="excerpt" excerpt="12"]',
			'code' => '[posts_slider id="{id}" post_type="{type}" category="{category}" limit="{limit}" orderby="{orderby}" order="{order}" description="{description}" excerpt="{excerpt}"]',
			'fields' => array(
				'id' => array(
					'type' => 'text',
					'label' => __('Post IDs (comma separated)', 'framework'),
					'desc' => ''
				),
				'type' => array(
					'type' => 'select',
					'label' => __('Type', 'framework'),
					'values' => array(
						'post' => __('post','framework'),
						'page' => __('page','framework')
					),
					'desc' => ''
				),
				'category' => array(
					'type' => 'text',
					'label' => __('Category IDs (comma separated)', 'framework'),
					'desc' => ''
				),
				'limit' => array(
					'type' => 'text',
					'label' => __('Limit', 'framework'),
					'desc' => ''
				),
				'orderby' => array(
					'type' => 'select',
					'label' => __('Order By', 'framework'),
					'values' => array(
						'date' => __('date','framework'),
						'title' => __('title','framework')
					),
					'desc' => ''
				),
				'order' => array(
					'type' => 'select',
					'label' => __('Order', 'framework'),
					'values' => array(
						'DESC' => __('DESC','framework'),
						'ASC' => __('ASC','framework')
					),
					'desc' => ''
				),
				'description' => array(
					'type' => 'select',
					'label' => __('Description', 'framework'),
					'values' => array(
						'no' => __('hidden','framework'),
						'excerpt' => __('excerpt','framework')
					),
					'desc' => ''
				),
				'excerpt' => array(
					'type' => 'text',
					'label' => __('Excerpt words limit', 'framework'),
					'desc' => ''
				),
			)
		),
		array(
			'shortcode' => 'promo',
			'name' => __('Promo','framework'),
			'description' => '',
			'usage' => '[promo header="Header" content="Content" url="http://..." target="_self" image="sample.png"]',
			'code' => '[promo header="{header}" content="{content}" url="{url}" target="{target}" image="{image}"]',
			'fields' => array(
				'header' => array(
					'type' => 'text',
					'label' => __('Header', 'framework'),
					'desc' => ''
				),
				'content' => array(
					'type' => 'textarea',
					'label' => __('Content', 'framework'),
					'desc' => ''
				),
				'url' => array(
					'type' => 'text',
					'label' => __('URL', 'framework'),
					'desc' => ''
				),
				'target' => array(
					'type' => 'select',
					'label' => __('Target', 'framework'),
					'values' => array(
						'_blank' => __('_blank', 'framework'),
						'_parent' => __('_parent', 'framework'),
						'_self' => __('_self', 'framework'),
						'_top' => __('_top', 'framework')
					),
					'default' => '_self',
					'desc' => ''
				),
				'image' => array(
					'type' => 'upload',
					'label' => __('Image', 'framework'),
					'desc' => ''
				),
			)
		),
		array(
			'shortcode' => 'recent_posts',
			'name' => __('Recent posts','framework'),
			'description' => '',
			'usage' => '[recent_posts limit="12"]',
			'code' => '[recent_posts limit="{limit}"]',
			'fields' => array(
				'limit' => array(
					'type' => 'text',
					'label' => __('Posts limit', 'framework'),
					'desc' => ''
				)
			)
		),
		array(
			'shortcode' => 'recent_projects',
			'name' => __('Recent projects','framework'),
			'description' => '',
			'usage' => '[recent_projects]',
			'code' => '[recent_projects]',
			'fields' => array(
				'description' => array(
					'type' => 'description',
					'label' => __('No options here', 'framework'),
					'desc' => ''
				)
			)
		),
		array(
			'shortcode' => 'quotes',
			'name' => __('Quotes','framework'),
			'description' => array(
				__('style - classic, modern - default: classic','framework'),
				__('align - center, left, right - default: center','framework')
			),
			'usage' => array(
				'[quotes style="classic" author="John Doe"]Your text here...[/quotes]',
				'[quotes style="modern" align="" author="John Doe"]Your text here...[/quotes]'),
			
			'code' => '[quotes style="{style}" align="{align}" author="{author}"]{content}[/quotes]',
			'fields' => array(
				'style' => array(
					'type' => 'select',
					'label' => __('Style', 'framework'),
					'values' => array(
						'classic' => __('classic','framework'),
						'modern' => __('modern','framework')
					),
					'desc' => ''
				),
				'align' => array(
					'type' => 'select',
					'label' => __('Align', 'framework'),
					'values' => array(
						'center' => __('center','framework'),
						'left' => __('left','framework'),
						'right' => __('right','framework')
					),
					'desc' => ''
				),
				'author' => array(
					'type' => 'text',
					'label' => __('Author', 'framework'),
					'desc' => ''
				),
				'content' => array(
					'type' => 'text',
					'label' => __('Content', 'framework'),
					'desc' => ''
				)
			)
		),
		array(
			'shortcode' => 'skillbars',
			'name' => __('Skill bars','framework'),
			'description' => '',
			'usage' => '[skillbar style="1" type="vertical" height="100"][skillbar_item percentage="80" title="Cooking"][skillbar_item percentage="99" title="Sleeping"][/skillbar]',
			'code' => '[skillbar style="{style}" type="{type}" height="{height}"]{child}[/skillbar]',
			'fields' => array(
				'style' => array(
					'type' => 'select',
					'label' => __('Style', 'framework'),
					'values' => array(
						'1' => '1',
						'2' => '2'
					),
					'desc' => ''
				),
				
				'type' => array(
					'type' => 'select',
					'label' => __('Type', 'framework'),
					'values' => array(
						'horizontal' => __('Horizontal','framework'),
						'vertical' => __('Vertical','framework')
					),
					'desc' => ''
				),
				'height' => array(
					'type' => 'text',
					'label' => __('Height (px)', 'framework'),
					'desc' => __('For vertical type only', 'framework')
				)
			),
			'add_child_button' => __('Add Skill Bar', 'framework'),
			'child' => array(
				'name' => __('Skill bar','framework'),
				'code' => '[skillbar_item percentage="{percentage}" title="{title}" color="{color}"]',
				'fields' => array(
					'percentage' => array(
						'type' => 'select',
						'label' => __('Percentage', 'framework'),
						'values' => ts_get_percentage_select_values(),
						'desc' => ''
					),
					'title' => array(
						'type' => 'text',
						'label' => __('Title', 'framework'),
						'desc' => ''
					),
					'color' => array(
						'type' => 'colorpicker',
						'label' => __('Color', 'framework'),
						'desc' => ''
					)
				)
			)
		),
		array(
			'shortcode' => 'space',
			'name' => __('Space','framework'),
			'description' => '',
			'usage' => '[space height="20"]',
			'code' => '[space height="{height}"]',
			'fields' => array(
				'height' => array(
					'type' => 'text',
					'label' => __('Height (px)', 'framework'),
					'desc' => ''
				)
			)
		),
		array(
			'shortcode' => 'steps',
			'name' => __('Steps','framework'),
			'description' => '',
			'usage' => '[steps][step icon="..." title="Your title" subtitle="Your subtitle" url="http://.." target="_blank"][/steps]',
			'code' => '[steps]{child}[/steps]',
			'add_child_button' => __('Add Step', 'framework'),
			'child' => array(
				'name' => __('Step','framework'),
				'code' => '[step icon="{icon}" title="{title}" subtitle="{subtitle}" url="{url}" target="{target}"]',
				'fields' => array(
					'icon' => array(
						'type' => 'select',
						'label' => __('Icon', 'framework'),
						'values' => array(
							'brain' => __('Brain', 'framework'),
							'bulb' => __('Bulb', 'framework'),
							'idea' => __('Idea', 'framework'),
							'list' => __('List', 'framework'),
							'mental' => __('Mental', 'framework'),
							'start' => __('Start', 'framework'),
							'strategy' => __('Strategy', 'framework'),
							'target' => __('Target', 'framework'),
							'time' => __('Time', 'framework'),
							'zen' => __('Zen', 'framework')
						),
						'default' => 'brain',
						'desc' => ''
					),
					'title' => array(
						'type' => 'text',
						'label' => __('Title', 'framework'),
						'desc' => ''
					),
					'subtitle' => array(
						'type' => 'text',
						'label' => __('Subtitle', 'framework'),
						'desc' => ''
					),
					'url' => array(
						'type' => 'text',
						'label' => __('URL', 'framework'),
						'desc' => ''
					),
					'target' => array(
						'type' => 'select',
						'label' => __('Target', 'framework'),
						'values' => array(
							'_blank' => __('_blank', 'framework'),
							'_parent' => __('_parent', 'framework'),
							'_self' => __('_self', 'framework'),
							'_top' => __('_top', 'framework')
						),
						'default' => '_self',
						'desc' => ''
					)
				)
			)
		),
		array(
			'shortcode' => 'tabs',
			'name' => __('Tabs','framework'),
			'description' => '',
			'usage' => '[tabs orientation="horizontal" position="top-left" style="normal" autoplay="no" animation="fadein"][tab url="http://test.com" target="_blank"]Your text here...[/tab][/tabs]',
			'code' => '[tabs orientation="{orientation}" position="{position}" style="{style}" autoplay="{autoplay}" animation="{animation}"]{child}[/tabs]',
			'fields' => array(
				'orientation' => array(
					'type' => 'select',
					'label' => __('Orientation', 'framework'),
					'values' => array(
						'horizontal' => __('horizontal','framework'),
						'vertical' => __('vertical','framework')
					),
					'desc' => ''
				),
				'position' => array(
					'type' => 'select',
					'label' => __('Position', 'framework'),
					'values' => array(
						'top-left' => __('top-left','framework'),
						'top-right' => __('top-right','framework'),
						'top-center' => __('top-center','framework'),
						'top-compact' => __('top-compact','framework'),
						'bottom-left' => __('bottom-left','framework'),
						'bottom-center' => __('bottom-center','framework'),
						'bottom-right' => __('bottom-right','framework'),
						'bottom-compact' => __('bottom-compact','framework')
					),
					'desc' => __('When orientation option is set to "vertical", "only top-left" and "top-right" is supported!', 'framework')
				),
				'style' => array(
					'type' => 'select',
					'label' => __('Style', 'framework'),
					'values' => array(
						'normal' => __('normal','framework'),
						'underline' => __('underline','framework')
					),
					'desc' => ''
				),
				'autoplay' => array(
					'type' => 'select',
					'label' => __('Autoplay', 'framework'),
					'values' => array(
						'no' => __('no','framework'),
						'yes' => __('yes','framework')
					),
					'desc' => ''
				),
				'animation' => array(
					'type' => 'select',
					'label' => __('Animation', 'framework'),
					'values' => array(
						'fadeIn' => __('fadeIn','framework'),
						'slideDown' => __('slideDown','framework')
					),
					'desc' => ''
				)
			),
			'add_child_button' => __('Add Tab', 'framework'),
			'child' => array(
				'name' => __('Tab','framework'),
				'code' => '[tab title="{title}" icon="{icon}" iconsize="{iconsize}"]{content}[/tab]',
				'fields' => array(
					'icon' => array(
						'type' => 'select',
						'label' => __('Icon', 'framework'),
						'values' => ts_getFontAwesomeArray(true),
						'default' => '',
						'desc' => ''
					),
					'iconsize' => array(
						'type' => 'select',
						'label' => __('Icon size', 'framework'),
						'values' => array(
							'icon-regular' => 'icon-regular',
							'icon-large' => 'icon-large',
							'icon-2x' => 'icon-2x',
							'icon-4x' => 'icon-4x',
						),
						'default' => '',
						'desc' => ''
					),
					'title' => array(
						'type' => 'text',
						'label' => __('Title', 'framework'),
						'desc' => ''
					),
					'content' => array(
						'type' => 'textarea',
						'label' => __('Content', 'framework'),
						'desc' => ''
					),
				)
			)
		),
		array(
			'shortcode' => 'teaser',
			'name' => __('Teaser','framework'),
			'description' => '',
			'usage' => '[teaser style="1" image="image.png" icon="..." title="Your title" subtitle="Your subtitle" url="http://..." target="_self"]',
			'code' => '[teaser style="{style}" image="{image}" icon={icon} title="{title}" subtitle="{subtitle}" url="{url}" target="{target}"]',
			'fields' => array(
				'style' => array(
					'type' => 'select',
					'label' => __('Style', 'framework'),
					'values' => array(
						'1' => '1',
						'2' => '2',
						'3' => '3',
						'4' => '4',
						'5' => '5'
					),
					'desc' => ''
				),
				'image' => array(
					'type' => 'upload',
					'label' => __('Image', 'framework'),
					'desc' => ''
				),
				'icon' => array(
					'type' => 'select',
					'label' => __('Icon (style 3 and 4 only)', 'framework'),
					'values' => array(
						'teaser-icon1.png' => __('Icon 1', 'framework'),
						'teaser-icon2.png' => __('Icon 2', 'framework'),
						'teaser-icon3.png' => __('Icon 3', 'framework')
					),
					'default' => 'teaser-icon1',
					'desc' => ''
				),
				'title' => array(
					'type' => 'text',
					'label' => __('Title', 'framework'),
					'desc' => ''
				),
				'subtitle' => array(
					'type' => 'text',
					'label' => __('Subtitle (style 1,2 and 5 only)', 'framework'),
					'desc' => ''
				),
				'url' => array(
					'type' => 'text',
					'label' => __('Url', 'framework'),
					'desc' => ''
				),
				'target' => array(
					'type' => 'select',
					'label' => __('Target', 'framework'),
					'values' => array(
						'_blank' => __('_blank', 'framework'),
						'_parent' => __('_parent', 'framework'),
						'_self' => __('_self', 'framework'),
						'_top' => __('_top', 'framework')
					),
					'default' => '_self',
					'desc' => ''
				)
			)
		),
		array(
			'shortcode' => 'teaser_2',
			'name' => __('Teaser 2','framework'),
			'description' => '',
			'usage' => '[teaser_2 image="image.png" title="Your title" button="Click me" url="http://..." target="_self"]Your content..[/teaser_2]',
			'code' => '[teaser_2 image="{image}" title="{title}" button="{button}" url="{url}" target="{target}"]{content}[/teaser_2]',
			'fields' => array(
				'image' => array(
					'type' => 'upload',
					'label' => __('Image', 'framework'),
					'desc' => ''
				),
				'title' => array(
					'type' => 'text',
					'label' => __('Title', 'framework'),
					'desc' => ''
				),
				'button' => array(
					'type' => 'text',
					'label' => __('Button', 'framework'),
					'desc' => ''
				),
				'url' => array(
					'type' => 'text',
					'label' => __('Url', 'framework'),
					'desc' => ''
				),
				'target' => array(
					'type' => 'select',
					'label' => __('Target', 'framework'),
					'values' => array(
						'_blank' => __('_blank', 'framework'),
						'_parent' => __('_parent', 'framework'),
						'_self' => __('_self', 'framework'),
						'_top' => __('_top', 'framework')
					),
					'default' => '_self',
					'desc' => ''
				),
				'content' => array(
					'type' => 'wp_editor',
					'label' => __('Content', 'framework'),
					'desc' => ''
				)
			)
		),
		array(
			'shortcode' => 'testimonials',
			'name' => __('Testimonials','framework'),
			'description' => array(
				__('type - static/slider - default: slider','framework'),
				__('category - testimonial categories','framework'),
				__('limit - default: 3','framework')
			),
			'usage' => array('[testimonials type="static" title="Your title" category="3" limit="3"]'),
			'code' => '[testimonials type="{type}" title="{title}" category="{category}" limit="{limit}"]',
			'fields' => array(
				'type' => array(
					'type' => 'select',
					'label' => __('Type', 'framework'),
					'values' => array(
						'slider' => __('slider','framework'),
						'slider2' => __('slider','framework').' 2',
						'static' => __('static','framework')
					),
					'desc' => ''
				),
				'title' => array(
					'type' => 'text',
					'label' => __('Title (only slider 2)', 'framework'),
					'desc' => ''
				),
				'category' => array(
					'type' => 'text',
					'label' => __('Category ID', 'framework'),
					'desc' => ''
				),
				'limit' => array(
					'type' => 'text',
					'label' => __('Limit', 'framework'),
					'desc' => ''
				),
			)
		),
		array(
			'shortcode' => 'text',
			'name' => __('Text','framework'),
			'description' => '',
			'usage' => '[text]Your text here...[/text]',
			'code' => '[text]{text}[/text]',
			'fields' => array(
				'text' => array(
					'type' => 'wp_editor',
					'label' => __('Content', 'framework'),
					'desc' => ''
				)
			)
		),
	);
	return $aHelp;
}

function ts_getFontAwesomeArray($bNoIconChoice = false,$add_icons = '')
{
	$icons = array();

	if (is_array($add_icons))
	{
		foreach($add_icons as $key => $icon){
			$icons[$key] = $icon;
		}
	}

	if (file_exists(get_template_directory().'/css/font-awesome.css'))
	{
		$pattern = '/\.(icon-(?:\w+(?:-)?)+):before\s+{\s*content:\s*"(.+)";\s+}/';


		$subject = file_get_contents(get_template_directory().'/css/font-awesome.css');

		preg_match_all($pattern, $subject, $matches, PREG_SET_ORDER);

		foreach($matches as $match){
			$icons[$match[1]] = $match[1];
		}
	}

	if (count($icons) > 0)
	{
		$icons_return = array();
		if ($bNoIconChoice === true)
		{
			$icons_return['no'] = __('no icon','framework');
		}
		$icons_return = array_merge($icons_return,$icons);

		return $icons_return;
	}

	return array(__('empty','framework') => __('empty','framework'));
}

function ts_get_percentage_select_values()
{
	$a = array();
	for ($i = 1; $i <= 100; $i++)
	{
		$a[$i] = $i;
	}
	return $a;
}